Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.naming
Class ObdaInitialContextFactory

    java.lang.Object
      org.biojava.naming.ObdaInitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class ObdaInitialContextFactory

extends Object
implements InitialContextFactory

Author:
  Matthew Pocock

Constructor Summary
`ObdaInitialContextFactory()`

Method Summary
`Context` | `getInitialContext(Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObdaInitialContextFactory

    public ObdaInitialContextFactory()

Method Detail

### getInitialContext

    public Context getInitialContext(Hashtable environment)
                              throws NamingException

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD